Debian Bug report logs - #603078
ITP: makepp -- Compatible but reliable and improved replacement for make

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jan Hudec <bulb@ucw.cz>

Date: Wed, 10 Nov 2010 20:45:12 UTC

Owned by: occitan@esperanto.org

Severity: wishlist

Fixed in version makepp/2.0.98.3-1

Done: Daniel Pfeiffer <occitan@esperanto.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603078; Package wnpp. (Wed, 10 Nov 2010 20:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hudec <bulb@ucw.cz>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 10 Nov 2010 20:45:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Hudec <bulb@ucw.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: makepp -- Compatible but reliable and improved replacement for make
Date: Wed, 10 Nov 2010 21:29:19 +0100
Package: wnpp
Severity: wishlist

* Package name    : makepp
  Version         : 1.50~beta20100422
  Upstream Author : Daniel Pfeiffer <occitan@esperanto.org>
* URL             : http://makepp.sourceforge.net/, http://search.cpan.org/~pfeiffer/makepp/
* License         : GPL-2+|Artistic (same as Perl)
  Programming Lang: Perl
  Description     : Compatible but reliable and improved replacement for make

Makepp is a utility for controlling build of software and similar tasks
requiring solving dependencies between files. It is backward compatible
with GNU Make while providing useful extensions:

 * built in dependency tracker
 * detecting changes by checksums instead of relying purely on checksums
 * regenerating targets when the build command changes (e.g. different
   compiler options are used)
 * ability to track dependencies across multiple (e.g. subdirectory)
   makefiles even when originally written for recursive make invocation
 * ability to separate build directory from source directory even if the
   the rules are not prepared for it by utilizing symlinks
 * expands wildcards to list of buildable files, even if they don't
   exist yet
 * ordering output from build commands run in parallel
 * support for filenames with special characters
 * extensibility via perl code

Many of the features apply also to makefiles written for standard make
or a makefile can be written to use them that gracefuly degrade when
interpreted with other makes.

-- 
						 Jan 'Bulb' Hudec <bulb@ucw.cz>




Changed Bug title to 'ITP: makepp -- Compatible but reliable and improved replacement for make' from 'RFP: makepp -- Compatible but reliable and improved replacement for make' Request was from Yuri D'Elia <wavexx@thregr.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 17:27:14 GMT) Full text and rfc822 format available.

Owner recorded as Yuri D'Elia <wavexx@thregr.org>. Request was from Yuri D'Elia <wavexx@thregr.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 17:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yuri D'Elia <wavexx@thregr.org>:
Bug#603078; Package wnpp. (Wed, 27 Jul 2011 16:35:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yuri D'Elia <wavexx@thregr.org>. (Wed, 27 Jul 2011 16:35:47 GMT) Full text and rfc822 format available.

Message #14 received at 603078@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 603078@bugs.debian.org
Cc: control@bugs.debian.org
Subject: makepp: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 603078 RFP: makepp -- Compatible but reliable and improved replacement for make
noowner 603078
thanks

Hi,

This is an automatic email to change the status of makepp back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting makepp, please send a mail to
<control@bugs.debian.org> with:

 retitle 603078 ITP: makepp -- Compatible but reliable and improved replacement for make
 owner 603078 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <603078@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: makepp -- Compatible but reliable and improved replacement for make' from 'ITP: makepp -- Compatible but reliable and improved replacement for make' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:29 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yuri D'Elia <wavexx@thregr.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:29 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: makepp -- Compatible but reliable and improved replacement for make' from 'RFP: makepp -- Compatible but reliable and improved replacement for make' Request was from Daniel Pfeiffer <occitan@t-online.de> to control@bugs.debian.org. (Sat, 16 Feb 2013 18:09:03 GMT) Full text and rfc822 format available.

Owner recorded as occitan@esperanto.org. Request was from Daniel Pfeiffer <occitan@t-online.de> to control@bugs.debian.org. (Sat, 16 Feb 2013 18:09:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 20:06:15 GMT) Full text and rfc822 format available.

Reply sent to Daniel Pfeiffer <occitan@esperanto.org>:
You have taken responsibility. (Wed, 07 Aug 2013 03:06:05 GMT) Full text and rfc822 format available.

Notification sent to Jan Hudec <bulb@ucw.cz>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 03:06:05 GMT) Full text and rfc822 format available.

Message #29 received at 603078-close@bugs.debian.org (full text, mbox):

From: Daniel Pfeiffer <occitan@esperanto.org>
To: 603078-close@bugs.debian.org
Subject: Bug#603078: fixed in makepp 2.0.98.3-1
Date: Wed, 07 Aug 2013 03:01:52 +0000
Source: makepp
Source-Version: 2.0.98.3-1

We believe that the bug you reported is fixed in the latest version of
makepp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603078@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Pfeiffer <occitan@esperanto.org> (supplier of updated makepp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Jun 2013 14:34:36 +0200
Source: makepp
Binary: makepp
Architecture: source all
Version: 2.0.98.3-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Pfeiffer <occitan@esperanto.org>
Changed-By: Daniel Pfeiffer <occitan@esperanto.org>
Description: 
 makepp     - GNU make compatible but reliable and simpler build tool
Closes: 603078
Changes: 
 makepp (2.0.98.3-1) unstable; urgency=low
 .
   * Initial version for upload to Debian. (closes: #603078)
Checksums-Sha1: 
 f6a08bc23562389841840542d7d5a530951770b6 1234 makepp_2.0.98.3-1.dsc
 70ff430bf8aaf5512e3ed1ca060c6df8fdc3884c 670345 makepp_2.0.98.3.orig.tar.gz
 515983f070a5e03d1aa6f6be6ae77e80ba454e47 1838 makepp_2.0.98.3-1.debian.tar.gz
 a76ec7621a02cfc09c33d453ef23cdb4483eab9d 885324 makepp_2.0.98.3-1_all.deb
Checksums-Sha256: 
 d8cd1b41e0b15acfd24a67618d242b158b0707647685776b8303a3a8ab05a65e 1234 makepp_2.0.98.3-1.dsc
 ce2f4c58236b27aaf14c0194d16041beed94abb4382aa901c35e615105a21ef4 670345 makepp_2.0.98.3.orig.tar.gz
 ad976d70db685c8bae5f50a3a8627ce86dc8160a8954bc361712ae7fb7c2d179 1838 makepp_2.0.98.3-1.debian.tar.gz
 c8dece4e49611f916d93a35a7f8c0a7e51525493ac02fe53a5ec4bf3fbfa0395 885324 makepp_2.0.98.3-1_all.deb
Files: 
 ef6c400f38474b52dd31ceeb5a0616c3 1234 devel optional makepp_2.0.98.3-1.dsc
 da68293c1ae567f88db0f0c9f8fc4ea6 670345 devel optional makepp_2.0.98.3.orig.tar.gz
 1cbe529c9eac746d2f6905986247075f 1838 devel optional makepp_2.0.98.3-1.debian.tar.gz
 471ac752fe64e99d1b896ad306dbd9d4 885324 devel optional makepp_2.0.98.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlG7D4cACgkQqgnI+VyroZhvcAQAqUzu3KiXNEKhB3Su+ZMLAO2H
0Gh/3QmuLG99t3IOv/0Io/JzzHE+B/K3CfOquAl+hH4YX1fx6M+47Iu/0ejipBsz
EIgQisYgJugANK5yu2BgoDslcf7ZEn7fo/1GkAITYCyAJh09DWRZteTLPPIswTFP
c1BN8jrhIeOgmvmUiYg=
=a0Pj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Sep 2013 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:19:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.